<xml xmlns="https://developers.google.com/blockly/xml">
<description>
<![CDATA[

##  Transistor output Characteristic 

<img class="ui image fluid" src='data:image/svg+xml;base64,[encoded data, 12608 characters]'/>

- Make connections as shown

The voltage applied to the base via a 100k resistor is set to 1 volt. Change the
base current by changing this value set on PV2.

The output is saved to a file named 'transistorCE.txt'.


]]>
</description> 	
  <variables>
    <variable id="(NO.k7G7NP%gS*E/5?Ih">Vcc</variable>
    <variable id="rCV!0|lE+6qjUii;sSS?">Vc</variable>
    <variable id="HHylR!vXJH.bj4!as~z}">current</variable>
  </variables>
  <block type="set_voltage" id="4PmpveZCleR2HD#Mq_.K" x="4" y="9">
    <field name="CHANNEL">PV2</field>
    <value name="VOLTAGE">
      <block type="math_number" id="En{^6pGqIXD8vFRuv7dV">
        <field name="NUM">1</field>
      </block>
    </value>
    <next>
      <block type="controls_for" id="GuE)Zp,9oMZw`uwey-|K">
        <field name="VAR" id="(NO.k7G7NP%gS*E/5?Ih">Vcc</field>
        <value name="FROM">
          <shadow type="math_number" id="~@SgPo(KL?`@?TCIGbfl">
            <field name="NUM">0.1</field>
          </shadow>
        </value>
        <value name="TO">
          <shadow type="math_number" id=",pfp*{}Ifr?Sd~Qb=qrM">
            <field name="NUM">5</field>
          </shadow>
        </value>
        <value name="BY">
          <shadow type="math_number" id="[#LI3!(OxxJxjT-?ZQ^K">
            <field name="NUM">0.1</field>
          </shadow>
        </value>
        <statement name="DO">
          <block type="set_voltage" id="_knm(V;Z`oF8?NxW3$fY">
            <field name="CHANNEL">PV1</field>
            <value name="VOLTAGE">
              <block type="variables_get" id="~oE|VC_$R^:b0yk8Eh-.">
                <field name="VAR" id="(NO.k7G7NP%gS*E/5?Ih">Vcc</field>
              </block>
            </value>
            <next>
              <block type="variables_set" id="Yg~*w-vWZl9Nt-O.wxu%">
                <field name="VAR" id="rCV!0|lE+6qjUii;sSS?">Vc</field>
                <value name="VALUE">
                  <block type="get_voltage" id="_.uz?k#1b(kL2{kQv}KS">
                    <field name="CHANNEL">A1</field>
                  </block>
                </value>
                <next>
                  <block type="variables_set" id="Ma|k*f7/*Cs2eDHzN9le">
                    <field name="VAR" id="HHylR!vXJH.bj4!as~z}">current</field>
                    <value name="VALUE">
                      <block type="math_arithmetic" id="..%_%y4Y$^54p7Z0iQMQ">
                        <field name="OP">MINUS</field>
                        <value name="A">
                          <shadow type="math_number" id="+_cm0Cr]/|)A$[%hb!|,">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="_x12fJ{K3x}3X3B@e.qh">
                            <field name="VAR" id="(NO.k7G7NP%gS*E/5?Ih">Vcc</field>
                          </block>
                        </value>
                        <value name="B">
                          <shadow type="math_number" id="hCL`0Uq|xB4g)O!P))+W">
                            <field name="NUM">1</field>
                          </shadow>
                          <block type="variables_get" id="]VZ=am(eguG6%DRF4GCq">
                            <field name="VAR" id="rCV!0|lE+6qjUii;sSS?">Vc</field>
                          </block>
                        </value>
                      </block>
                    </value>
                    <next>
                      <block type="plot_xy" id="!@62Hk;BFvh;M*s?E[HX">
                        <value name="X">
                          <block type="variables_get" id="?[~eob.Elx:0Ra9?[`81">
                            <field name="VAR" id="rCV!0|lE+6qjUii;sSS?">Vc</field>
                          </block>
                        </value>
                        <value name="Y">
                          <block type="variables_get" id="Qsw}x9M%N9pI@cqMl9iP">
                            <field name="VAR" id="HHylR!vXJH.bj4!as~z}">current</field>
                          </block>
                        </value>
                        <next>
                          <block type="write_to_file" id=")sb7:9X3JBK*o:x+Kb)P">
                            <field name="NEWLINE">TRUE</field>
                            <field name="FNAME">transistorCE.csv</field>
                            <value name="TEXT">
                              <block type="text_join" id="1o8xf7`-x5W`HfB##nr]">
                                <mutation items="3"></mutation>
                                <value name="ADD0">
                                  <block type="variables_get" id="qJ6L`S2T__(u`dey-SY`">
                                    <field name="VAR" id="rCV!0|lE+6qjUii;sSS?">Vc</field>
                                  </block>
                                </value>
                                <value name="ADD1">
                                  <block type="text" id="Ma%z-w!5s!Qq$h.R+I9d">
                                    <field name="TEXT">,</field>
                                  </block>
                                </value>
                                <value name="ADD2">
                                  <block type="variables_get" id="/G^x{Q$O_(gJSN4Jea~)">
                                    <field name="VAR" id="HHylR!vXJH.bj4!as~z}">current</field>
                                  </block>
                                </value>
                              </block>
                            </value>
                          </block>
                        </next>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </statement>
      </block>
    </next>
  </block>
</xml>
